﻿using System.Text.Json.Serialization;
using FNZCM2.Abstractions.Models.Fs;
using FNZCM2.Abstractions.Models.Metadata;

namespace FNZCM2.Abstractions.Models.Caches;

public class CacheModel
{
    [JsonPropertyName("f")] public required IReadOnlyList<FileEntry> Files { get; init; }
    [JsonPropertyName("d")] public required IReadOnlyList<FolderEntry> Folders { get; init; }
    [JsonPropertyName("m")] public required IReadOnlyList<FileMetaEntry> Meta { get; init; }
}
